#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1-2)
#-----------------------------------------------------------------------------
Name		:	mate-session-manager
Version		:	1.28.0
Release		:	16.2.1.rel%{?dist}
Summary		:	MATE session manager
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://git.mate-desktop.org/mate-session-manager/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	elogind-devel
BuildRequires	:	dbus-glib-devel
BuildRequires	:	gtk3+ >= 3.0
BuildRequires	:	intltool
BuildRequires	:	mate-common
BuildRequires	:	xmlto
BuildRequires	:	xorg-xtrans
BuildRequires	:	xorg-libSM

Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	%{_bindir}/glib-compile-schemas

Requires	:	dbus-x11
Requires	:	dconf-editor
#-----------------------------------------------------------------------------
%description
mate-session-manager contains the MATE session manager, as well as a
configuration program to choose applications starting on login.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{shortname}
%{_bindir}/%{shortname}-inhibit
%{_bindir}/%{shortname}-properties
%{_bindir}/%{shortname}-save
%{_bindir}/mate-wm
%{_libexecdir}/%{shortname}-check-accelerated*
%{_datadir}/applications/%{shortname}-properties.desktop
%{_datadir}/glib-2.0/schemas/org.mate.session.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{shortname}-*.png
%{_datadir}/icons/hicolor/*/apps/%{shortname}-properties.svg
%{_datadir}/%{name}/*.ui
%{_datadir}/%{name}/hardware-compatibility
%{_datadir}/xsessions/mate.desktop
%{_defaultdocdir}/%{name}-%{version}/dbus/%{shortname}.html
%{_mandir}/man1/mate-*.1.gz

%post
/usr/sbin/ldconfig
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--enable-docbook-docs				\
	--with-default-wm=marco 			\
	--with-elogind					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%find_lang %{name}

#-----------------------------------------------------------------------------
%changelog
